import request from '@/utils/request'

// 查询任务日志【任务日志内容 ,任务派发内容，任务驳回内容，任务跟踪内容，任务处置内容，任务核查内容】列表
export function listLog(query) {
  return request({
    url: '/system/log/list',
    method: 'get',
    params: query
  })
}

// 查询任务日志【任务日志内容 ,任务派发内容，任务驳回内容，任务跟踪内容，任务处置内容，任务核查内容】详细
export function getLog(id) {
  return request({
    url: '/system/log/' + id,
    method: 'get'
  })
}

// 新增任务日志【任务日志内容 ,任务派发内容，任务驳回内容，任务跟踪内容，任务处置内容，任务核查内容】
export function addLog(data) {
  return request({
    url: '/system/log',
    method: 'post',
    data: data
  })
}

// 修改任务日志【任务日志内容 ,任务派发内容，任务驳回内容，任务跟踪内容，任务处置内容，任务核查内容】
export function updateLog(data) {
  return request({
    url: '/system/log',
    method: 'put',
    data: data
  })
}

// 删除任务日志【任务日志内容 ,任务派发内容，任务驳回内容，任务跟踪内容，任务处置内容，任务核查内容】
export function delLog(id) {
  return request({
    url: '/system/log/' + id,
    method: 'delete'
  })
}
